#ifndef effect_single_dynamic_H
#define effect_single_dynamic_H

#include "Effect.h"
#include "config.h"

class SingleDynamicEffect : public Effect {
  protected:
    static const int factor = 2;
    static const int tile_count = LED_WIDTH/factor * LED_HEIGHT/factor;
    virtual int getLoopTime();
    CRGB tiles[tile_count];
    CRGB old_tiles[tile_count];
    uint8_t blend = 0;
  public:
    SingleDynamicEffect();
    virtual void update();
    boolean can_be_shown_with_clock();
    virtual void loop();
};
#endif
